Bug 830236 - Mouse selection is broken with vim
Summary: Mouse selection is broken with vim
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rxvt-unicode
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 15:26 UTC by Ben Boeckel
Modified: 2015-01-24 18:49 UTC (History)
4 users (show)

Fixed In Version: rxvt-unicode-9.21-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 21:04:26 UTC


Attachments (Terms of Use)
Selection rendering when moving the mouse horizontally while moving vertically. (27.13 KB, image/png)
2012-06-08 15:26 UTC, Ben Boeckel
no flags Details

Description Ben Boeckel 2012-06-08 15:26:03 UTC
Created attachment 590462 [details]
Selection rendering when moving the mouse horizontally while moving vertically.

Description of problem:
When vim is open in urxvt, using the mouse to create a selection makes lines only highlight from the edge of the terminal window (or vertical split if in tmux) to where the cursor was when moving to the next line (image attached). I'll test to see if the bug is present in Rawhide and F17 at home (I don't have an F16 install anywhere).

Version-Release number of selected component (if applicable):
rxvt-unicode-9.15-1.fc15.x86_64
vim-enhanced-7.3.471-1.fc15.x86_64

How reproducible:
Always.

Comment 1 Fedora End Of Life 2012-08-07 14:54:44 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Ben Boeckel 2012-08-08 00:15:23 UTC
Still happens in Rawhide with:

vim-enhanced-7.3.604-1.fc18.x86_64
rxvt-unicode-9.15-3.fc18.x86_64

Comment 3 Ben Boeckel 2012-11-05 03:46:31 UTC
Still happens with:

vim-enhanced-7.3.712-1.fc19.x86_64
rxvt-unicode-9.15-3.fc18.x86_64

Maybe it's a vim bug? Assigning to vim[1] to get input from there.

[1]Hopefully; ended up having to use the Web Inspector to set the component name since it has failed to show the menu at all.

Comment 4 Fedora End Of Life 2013-04-03 19:13:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Karsten Hopp 2013-05-14 14:05:23 UTC
Not a vim bug as this works just fine with other terminals.

Comment 6 Ben Boeckel 2014-10-28 20:38:25 UTC
After discussing with rxvt-unicode upstream (Emanuele Giaquinta came across the bug and contacted me), the problem was a line in my colorscheme:

> hi NonText         ctermfg=232 ctermbg=232

which hit a corner case in rxvt-unicode's refresh logic. The next urxvt release should have the fix.

Comment 7 Andreas Bierfert 2014-11-01 16:36:40 UTC
Thanks for reporting back.

Comment 8 Fedora Update System 2015-01-03 08:57:18 UTC
rxvt-unicode-9.21-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el7

Comment 9 Fedora Update System 2015-01-03 08:57:28 UTC
rxvt-unicode-9.21-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.el6

Comment 10 Fedora Update System 2015-01-03 08:57:38 UTC
rxvt-unicode-9.21-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc21

Comment 11 Fedora Update System 2015-01-03 08:57:46 UTC
rxvt-unicode-9.21-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.21-3.fc20

Comment 12 Fedora Update System 2015-01-04 20:04:59 UTC
Package rxvt-unicode-9.21-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing rxvt-unicode-9.21-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0035/rxvt-unicode-9.21-3.el7
then log in and leave karma (feedback).

Comment 13 Fedora End Of Life 2015-01-09 22:38:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora Update System 2015-01-20 21:04:26 UTC
rxvt-unicode-9.21-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-01-20 21:06:24 UTC
rxvt-unicode-9.21-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-24 18:46:55 UTC
rxvt-unicode-9.21-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-01-24 18:49:22 UTC
rxvt-unicode-9.21-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.